.\"	$NetBSD: mount_lfs.8,v 1.14 2005/03/31 03:07:38 xtraeme Exp $
.\"
.\" Copyright (c) 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)mount_lfs.8	8.5 (Berkeley) 3/30/94
.\"
.Dd March 31, 2005
.Dt MOUNT_LFS 8
.Os
.Sh NAME
.Nm mount_lfs
.Nd mount a log-structured file system
.Sh SYNOPSIS
.Nm
.Op Fl bdins
.Op Fl N Ar nsegs
.Op Fl o Ar options
.Ar special
.Ar node
.Sh DESCRIPTION
The
.Nm
command attaches a log-structured file system
.Ar special
device on to the file system tree at the point
.Ar node .
Both
.Ar special
and
.Ar node
are converted to absolute paths before use.
In addition, the
.Xr lfs_cleanerd 8
utility is invoked to clean the file system periodically.
.Pp
This command is normally executed by
.Xr mount 8
at boot time.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl b
Instruct the cleaner to count bytes written, rather than segments read,
to determine how many segments to clean at once.
.It Fl d
Run
.Xr lfs_cleanerd 8
in debug mode.
.It Fl i
Instruct the cleaner to use filesystem idle time as the criterion
for aggressive cleaning, instead of system load.
.It Fl o
Options are specified with a
.Fl o
flag followed by a comma separated string of options.
See the
.Xr mount 8
man page for possible options and their meanings.
.It Fl N Ar nsegs
Clean
.Ar nsegs
segments (or bytes' worth of segments if
.Fl b
is also specified) at a time.
.It Fl n
Don't start
.Xr lfs_cleanerd 8
on the file system.
.It Fl s
Cause
.Xr lfs_cleanerd 8
to read data in small chunks when cleaning the file system.
.El
.Sh SEE ALSO
.Xr mount 2 ,
.Xr unmount 2 ,
.Xr fstab 5 ,
.Xr dump_lfs 8 ,
.Xr lfs_cleanerd 8 ,
.Xr mount 8 ,
.Xr newfs_lfs 8
.Rs
.%A Ousterhout and Douglis
.%D 1989
.%T "Beating the I/O Bottleneck: A Case for Log-structured File Systems"
.%J "Operating Systems Review"
.%V Vol. 23
.%N No. 1
.%P pp. 11-27
.%O "also available as Technical Report UCB/CSD 88/467"
.Re
.Rs
.%A Rosenblum and Ousterhout
.%D 1991
.%T "The Design and Implementation of a Log-Structured File System"
.%J "ACM SIGOPS Operating Systems Review"
.%V Vol. 25
.%N No. 5
.Re
.Rs
.%A Seltzer
.%D 1992
.%T "File System Performance and Transaction Support"
.%B "PhD Thesis, University of California, Berkeley"
.%O "also available as Technical Report UCB/ERL M92"
.Re
.Rs
.%A Seltzer, Bostic, McKusick and Staelin
.%D 1993
.%T "An Implementation of a Log-Structured File System for UNIX"
.%J "Proc. of the Winter 1993 USENIX Conf."
.%P pp. 315-331
.Re
.Sh HISTORY
The
.Nm
function first appeared in
.Bx 4.4 .
